//
//  ContentView.swift
//  Shared
//
//  Created by Anil Somayaji on 2021-01-19.
//

import SwiftUI

struct ContentView: View {
    @State private var Fs = ""
    
    var body: some View {
        VStack{
            Text("Temperature Converter")
                .font(.title)
                .fontWeight(.bold)
                .padding()
            
            Spacer()
            TextField("Enter Farenheit", text: $Fs)
            SubView(Fs: $Fs)
            Spacer()
        }
    }
}

struct SubView: View {
    @Binding var Fs: String
    var body: some View {
        if let F = Double(Fs) {
            let C = (F - 32.0) * (5/9)
            let Cs = String(format: "%0.2f", C)
            
            Text("\(Fs) is \(Cs) Celsius")
            
            let K = C + 273.15
            let Ks = String(format: "%0.2f", K)
            Text("\(Fs) is \(Ks) Kelvin")
        } else {
            Text("Enter a number please.")
        }
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
